# Package source: http://nuxref.com
Name:           sabnzbd
# To allow for release candidates, the epoch is incremented to the current
# major version only 'AFTER' all of the release canadidates fort that version
# have been put out.
# hence for 3.0.0RC1, the epoch will remain at 2, but will change to 3 once
# 3.0.0 is fully released
Epoch:          2
Version:        2.0.0
#Release:        %{release_candidate}.1%{?dist}.nuxref
Release:        1%{?dist}.nuxref
Summary:        Python based Usenet Downloader
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://sabnzbd.org
#Source0:        http://github.com/sabnzbd/sabnzbd/releases/download/%{version}/SABnzbd-%{version}%{release_candidate}-src.tar.gz
Source0:        http://github.com/sabnzbd/sabnzbd/releases/download/%{version}/SABnzbd-%{version}-src.tar.gz
Source1:        sabnzbd.systemd
Source2:        sabnzbd.conf
Packager:       Chris Caron <lead2gold@gmail.com> http://nuxref.com
BuildArch:      noarch
# Dependencies after install
Requires: unrar, p7zip, par2cmdline
Requires: python-six, python-cheetah, python-yenc
Requires: openssl, ca-certificates
Requires: python >= 2.7.5
Requires: python-sabyenc >= 3.0.2

%description
SABnzbd automates the downloads of NZB Files

%prep
#%setup -q -n SABnzbd-%{version}%{release_candidate}
%setup -q -n SABnzbd-%{version}

# Update our systemd file
sed -i -e 's|{_bindir}|%{_bindir}|g' %{SOURCE1}
sed -i -e 's|{_localstatedir}|%{_localstatedir}|g' %{SOURCE1}
sed -i -e 's|{_sysconfdir}|%{_sysconfdir}|g' %{SOURCE1}
sed -i -e 's|{_sharedstatedir}|%{_sharedstatedir}|g' %{SOURCE1}
sed -i -e 's|{_datadir}|%{_datadir}|g' %{SOURCE1}

# Update our configuration file
sed -i -e 's|{_bindir}|%{_bindir}|g' %{SOURCE2}
sed -i -e 's|{_localstatedir}|%{_localstatedir}|g' %{SOURCE2}
sed -i -e 's|{_sysconfdir}|%{_sysconfdir}|g' %{SOURCE2}
sed -i -e 's|{_sharedstatedir}|%{_sharedstatedir}|g' %{SOURCE2}
sed -i -e 's|{_datadir}|%{_datadir}|g' %{SOURCE2}

# Enforce permissions
find -type d -exec chmod 755 {} \;

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}
%{__mv} -f cherrypy %{buildroot}%{_datadir}/%{name}
%{__mv} -f util %{buildroot}%{_datadir}/%{name}
%{__mv} -f sabnzbd %{buildroot}%{_datadir}/%{name}
%{__mv} -f po %{buildroot}%{_datadir}/%{name}
%{__mv} -f locale %{buildroot}%{_datadir}/%{name}
%{__mv} -f interfaces %{buildroot}%{_datadir}/%{name}
%{__mv} -f icons %{buildroot}%{_datadir}/%{name}
%{__mv} -f gntp %{buildroot}%{_datadir}/%{name}
%{__mv} -f email %{buildroot}%{_datadir}/%{name}/email

%{__install} -D -m 755 SABnzbd.py \
                %{buildroot}/%{_datadir}/%{name}/SABnzbd.py
%{__install} -D -m 755 scripts/Sample-PostProc.sh \
                %{buildroot}/%{_datadir}/%{name}/scripts/Sample-PostProc.sh

# Create a global configuration file from sample already
# tailored from patch1
%{__install} -D -m 644 %{SOURCE1} \
                %{buildroot}/%{_sysconfdir}/systemd/system/sabnzbd.service
%{__install} -D -m 664 %{SOURCE2} \
                %{buildroot}/%{_sysconfdir}/%{name}/sabnzbd.conf

%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}/incomplete
%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}/complete
%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}/scan
%{__mkdir} -p %{buildroot}%{_localstatedir}/log/%{name}
%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}/admin
%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}/email
%{__mkdir} -p %{buildroot}%{_sharedstatedir}/%{name}/nzb_backups

%files
%doc ABOUT.txt README.txt LICENSE.txt ISSUES.txt INSTALL.txt GPL2.txt GPL3.txt
%defattr(-, root, root)
%attr(0775,root,sabnzbd) %dir %{_sysconfdir}/%{name}
%attr(0660,sabnzbd,sabnzbd) %config(noreplace) %{_sysconfdir}/%{name}/sabnzbd.conf
%attr(0775,sabnzbd,sabnzbd) %dir %{_sharedstatedir}/%{name}/incomplete
%attr(0775,sabnzbd,sabnzbd) %dir %{_sharedstatedir}/%{name}/complete
%attr(0755,sabnzbd,sabnzbd) %dir %{_sharedstatedir}/%{name}/scan
%attr(0755,sabnzbd,sabnzbd) %dir %{_sharedstatedir}/%{name}/admin
%attr(0755,sabnzbd,sabnzbd) %dir %{_sharedstatedir}/%{name}/email
%attr(0775,sabnzbd,sabnzbd) %dir %{_sharedstatedir}/%{name}/nzb_backups
%attr(0755,sabnzbd,sabnzbd) %dir %{_localstatedir}/log/%{name}

%{_sysconfdir}/systemd/system/sabnzbd.service
%{_datadir}/%{name}

%pre
/usr/bin/id sabnzbd &>/dev/null || \
    /usr/sbin/useradd -r -d %{_datadir}/%{name} -s /bin/sh -c "SABnzbd" sabnzbd

%changelog
* Sun Apr  9 2017 Chris Caron <lead2gold@gmail.com> - 2.0.0-1
- Upgraded to Official release of v2.0.0

* Wed Apr  6 2017 Chris Caron <lead2gold@gmail.com> - 2.0.0rc3-1
- Upgraded to v2.0.0rc3

* Wed Mar 29 2017 Chris Caron <lead2gold@gmail.com> - 2.0.0rc2-1
- Upgraded to v2.0.0rc2

* Sat Mar 18 2017 Chris Caron <lead2gold@gmail.com> - 1.2.3-1
- Upgraded to v1.2.3

* Fri Feb 24 2017 Chris Caron <lead2gold@gmail.com> - 1.2.1-1
- Upgraded to v1.2.1

* Fri Jan 13 2017 Chris Caron <lead2gold@gmail.com> - 1.2.0-1
- Upgraded to v1.2.0

* Fri Nov 11 2016 Chris Caron <lead2gold@gmail.com> - 1.1.1-1
- Upgraded to v1.1.1

* Tue Oct 18 2016 Chris Caron <lead2gold@gmail.com> - 1.1.0-1
- Initial Version
